Loading...
Searching...
No Matches
exception.hpp File Reference

Exceptions thrown by entities in the alphabet module. More...

`#include <concepts>`
`#include <stdexcept>`
`#include <string>`
`#include <seqan3/utility/char_operations/pretty_print.hpp>`
Include dependency graph for alphabet/exception.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::invalid_char_assignment
| An exception typically thrown by seqan3::alphabet::assign_char_strict. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Exceptions thrown by entities in the alphabet module.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me